Removed support for IDE versions prior to 1.6.9

Information on the latest releases
User avatar
RogerClark
Posts: 5296
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Removed support for IDE versions prior to 1.6.9

Postby RogerClark » Tue Sep 27, 2016 10:36 am

I've made a change to platform.txt (in the F103 core), to get rid of the warning in the IDE about deprecated syntax.

The side effect of this, is that the F103 core will no longer work with the Arduino IDE prior to 1.6.9, buy as the IDE is now at 1.6.12 and multiple people have tested 1.6.9 and newer, I'd recommend that anyone who needs to use the latest version of the core, should upgrade to at least 1.6.10

I've also accepted PR's to fix a few other minor issues, like categories in the library properties files on some F4 libs

BTW.
I have one big PR pending testing, which allows callbacks from DMA complete interrupts and also adds encoder modes to the Timers.
Its in this branch https://github.com/rogerclarkmelbourne/ ... ndo-master

Once this is tested, I'll merge the branch back into master - probably some time next week

bianchifan
Posts: 77
Joined: Sun Oct 18, 2015 1:27 pm
Location: W'tal, Germany

Re: Removed support for IDE versions prior to 1.6.9

Postby bianchifan » Wed Nov 09, 2016 3:21 pm

RogerClark wrote:I've made a change to platform.txt (in the F103 core), to get rid of the warning in the IDE about deprecated syntax.

Haven't looked in here for a couple of time and read this post two days ago... yesterday I updated from 1.6.5 to 1.6.12, killed my old STM32 directory and stored the actual one from git.
Now I get an IDE warning about deprecated STM32 hardware, < 1.5.7 :)
It seems, that a dummy board.txt is missing in "exemples" dir ??!
Copying the dummy from the "drivers" dir did the trick...

The github WIKI tells me to install the "Arduino Zero" hardware for a correct arm-none-eabi workflow..WHY?
I have "Arduino DUE" installed, Cortex-3. :D
I do not know the Zero but IDE tells me Cortex-0.
Imho STM32F1 is Cortex-3... :roll: :?

User avatar
RogerClark
Posts: 5296
Joined: Mon Apr 27, 2015 10:36 am
Location: Melbourne, Australia
Contact:

Re: Removed support for IDE versions prior to 1.6.9

Postby RogerClark » Wed Nov 09, 2016 7:33 pm

Zero and Due use the same compiler, as the ARM compiler supports multiple Cortex versions

bianchifan
Posts: 77
Joined: Sun Oct 18, 2015 1:27 pm
Location: W'tal, Germany

Re: Removed support for IDE versions prior to 1.6.9

Postby bianchifan » Fri Nov 11, 2016 9:24 am

RogerClark wrote:Zero and Due use the same compiler, as the ARM compiler supports multiple Cortex versions

OK..I've no skills in ARM compilers, I was wondering 'cause I remember something about ARM3...DUE..
Nevertheless I know people using Arduino DUE for whatever reason but I do not know anybody using a Zero, only LPC or STM32 ;)


Return to “Builds and Announcements”

Who is online

Users browsing this forum: No registered users and 1 guest